Show / Hide Table of Contents

# Class ContextMenuOpenedArgs

Provides data for ContextMenuOpenedDelegate methods.

##### Inheritance

System.Object
ContextMenuOpenedArgs

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class ContextMenuOpenedArgs

### Constructors

| Improve this Doc View Source

#### ContextMenuOpenedArgs(AddonContextMenu*, AgentContextInterface*, String, IEnumerable<ContextMenuItem>)

Initializes a new instance of the ContextMenuOpenedArgs class.

##### Declaration

    public ContextMenuOpenedArgs(AddonContextMenu*addon, AgentContextInterface*agent, string parentAddonName, IEnumerable<ContextMenuItem> items)

##### Parameters

Type | Name | Description
--- | --- | ---
AddonContextMenu* | addon | The addon associated with the context menu.
AgentContextInterface* | agent | The agent associated with the context menu.
System.String | parentAddonName | The the name of the parent addon associated with the context menu.
System.Collections.Generic.IEnumerable<ContextMenuItem> | items | The items in the context menu.

### Properties

| Improve this Doc View Source

#### Addon

Gets the addon associated with the context menu.

##### Declaration

    public AddonContextMenu*Addon { get; }

##### Property Value

Type | Description
--- | ---
AddonContextMenu* |

| Improve this Doc View Source

#### Agent

Gets the agent associated with the context menu.

##### Declaration

    public AgentContextInterface*Agent { get; }

##### Property Value

Type | Description
--- | ---
AgentContextInterface* |

| Improve this Doc View Source

#### GameObjectContext

Gets the game object context associated with the context menu.

##### Declaration

    public GameObjectContext GameObjectContext { get; set; }

##### Property Value

Type | Description
--- | ---
GameObjectContext |

| Improve this Doc View Source

#### InventoryItemContext

Gets the item context associated with the context menu.

##### Declaration

    public InventoryItemContext InventoryItemContext { get; set; }

##### Property Value

Type | Description
--- | ---
InventoryItemContext |

| Improve this Doc View Source

#### Items

Gets the items in the context menu.

##### Declaration

    public List<ContextMenuItem> Items { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<ContextMenuItem> |

| Improve this Doc View Source

#### ParentAddonName

Gets the name of the parent addon associated with the context menu.

##### Declaration

    public string ParentAddonName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Title

Gets the title of the context menu.

##### Declaration

    public string Title { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |